Create a video upload
POST
/media/v1/projects/{projectId}/videos/uploadInitiates a video upload and returns upload details.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_media.createVideoUploadBody",
"$ref-value": {
"properties": {
"image_format": {
"type": "string"
},
"name": {
"type": "string"
},
"video_quality": {
"type": "string"
}
},
"required": [
"name"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/videosv1.VideoUploadInit",
"$ref-value": {
"properties": {
"expires_at": {
"type": "string"
},
"poster_id": {
"type": "string"
},
"poster_upload_url": {
"type": "string"
},
"video_id": {
"type": "string"
},
"video_upload_url": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/media/v1/projects/string/videos/upload" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'Created
application/json
{
"$ref": "#/components/schemas/videosv1.VideoUploadInit",
"$ref-value": {
"properties": {
"expires_at": {
"type": "string"
},
"poster_id": {
"type": "string"
},
"poster_upload_url": {
"type": "string"
},
"video_id": {
"type": "string"
},
"video_upload_url": {
"type": "string"
}
},
"type": "object"
}
}